---
title: WebPages Endpoints (2022/06)
slug: develop/webpages-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

These endpoints allow users to manage webpages (that is, an HTML file and associated asset files) on a network. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/WebPages***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Returns a list of webpages on a network

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`"). The default value is null.
- `marker`  <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of webpage instances exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of webpage instances that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[UploadDate] IS IN THE RANGE '2020-01-01' AND '2024-01-01'`
- `sort` is set to `[Name] ASC`
- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.
- `pageSize` is set to `1`

```text
GET /2022/06/REST/WebPages/?marker=Y29udHJwxMjU5OTg2Ng%3D%3D&pageSize=1&filter=%5BUploadDate%5D%20IS%20IN%20THE%20RANGE%20%272020-01-01%27%20AND%20%272024-01-01%27&sort=%5BName%5D%20ASC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [WebPage Entity](docId\:O5V0Ui933WvEREInm7lS7) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

**Example**

```json
{
   "items": [   {
      "id": 12345,
      "name": "PresentationBsDateTimeWidget",
      "uploadDate": "2023-07-26T19:35:26.087Z",
      "lastModifiedDate": "2023-07-26T19:35:26.087Z",
      "indexFile":       {
         "fileName": "bsDateTimeWidget.html",
         "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoe/3285cf5ee2926a8b47e30b12f51ed169",
         "relativePath": "\\",
         "fileSize": 2084573,
         "fileHash": "SHA1:69780C154749DFE32B04459B7103C07B11E0DA59"
      },
      "assets": null,
      "presentations": [      {
         "id": 123,
         "name": "ClockZone",
         "type": "Presentation",
         "link": null
      }],
      "permissions": []
   }],
   "totalItemCount": 6,
   "matchingItemCount": 6,
   "pageSize": 1,
   "nextMarker": "RGVmYXVsdF9QcmVzZW50YXRpb25Cc0RhdGVUaW1lV2lkZ2V0LDEwMDM3MjU0",
   "prevMarker": "RGVmYXVsdF9QcmVzZW50YXRpb25Cc0RhdGVUaW1lV2lkZ2V0LDEwMDM31gh2",
   "isTruncated": true,
   "sortExpression": "[Name] ASC",
   "filterExpression": "[UploadDate] IS IN THE RANGE '2020-01-01T00:00:00.000Z' AND '2024-01-01T00:00:00.000Z'"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /

Deletes webpages, specified by a filter, on a network. This allows multiple webpages to be deleted at once.

**Required Scope Token**

bsn.api.main.webpages.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">required: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[UploadDate] IS IN THE RANGE '2019-01-01' AND '2020-01-01'`

```text
DELETE /2022/06/REST/WebPages/?filter=%5BUploadDate%5D%20IS%20IN%20THE%20RANGE%20%272019-01-01%27%20AND%20%272020-01-01%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_ 

**Success Response**

<font color="#089a4d">200</font>: Returns the number of affected webpages, as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules. For example, you cannot delete a webpage that is in use by a presentation.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/ 

Returns the number of webpages on a network

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[UploadDate] IS IN THE RANGE '2020-01-01' AND '2024-01-01'`

```text
GET /2022/06/REST/WebPages/Count/?filter=%5BUploadDate%5D%20IS%20IN%20THE%20RANGE%20%272020-01-01%27%20AND%20%272024-01-01%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The webpage count is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/ 

Returns the specified webpage

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/WebPages/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [WebPage Entity](docId\:O5V0Ui933WvEREInm7lS7) 

**Example**

This is an example of a 200 level response:

```json
{
   "id": 12345,
   "name": "PresentationBsDateTimeWidget",
   "uploadDate": "2023-07-26T19:35:26.087Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "indexFile":    {
      "fileName": "bsDateTimeWidget.html",
      "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoe/3285cf5ee2926a8b47e30b12f51ed169",
      "relativePath": "\\",
      "fileSize": 2084573,
      "fileHash": "SHA1:69782C054749DFE39B94859B7103C07B11E0DA59"
   },
   "assets": [],
   "presentations": [   {
      "id": 123,
      "name": "ClockZone",
      "type": "Presentation",
      "link": null
   }],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/ 

Deletes the specified webpage

**Required Scope Token**

bsn.api.main.webpages.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/WebPages/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified webpage was deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules. For example, you cannot delete a webpage that is in use by a presentation.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/ 

Returns the specified webpage

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `PresentationBsDateTimeWidget`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/WebPages/PresentationBsDateTimeWidget/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [WebPage Entity](docId\:O5V0Ui933WvEREInm7lS7) 

**Example**

This is an example of a 200 level response:

```json
{
   "id": 12345,
   "name": "PresentationBsDateTimeWidget",
   "uploadDate": "2023-07-26T19:35:26.087Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "indexFile":    {
      "fileName": "bsDateTimeWidget.html",
      "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoe/3285cf5ee2926a8b47e30b12f51ed169",
      "relativePath": "\\",
      "fileSize": 2084573,
      "fileHash": "SHA1:69782C054749DFE39B94859B7103C07B11E0DA59"
   },
   "assets": [],
   "presentations": [   {
      "id": 123,
      "name": "ClockZone",
      "type": "Presentation",
      "link": null
   }],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/ 

Deletes the specified webpage

**Required Scope Token**

bsn.api.main.webpages.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `PresentationBsDateTimeWidget`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/WebPages/PresentationBsDateTimeWidget/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified webpage was deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules. For example, you cannot delete a webpage that is in use by a presentation.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/WebPages/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

:::ExpandableHeading
Example

```json
{
   "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
   "singularName": "Full Control",
   "pluralName": "Web Page (Full Control)",
   "fullName": "Web Page (Full Control)",
   "targetEntity": "WebPage",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
         "singularName": "View Web Page",
         "pluralName": "View Web Pages",
         "fullName": "Web Page (Full Control) - View Web Pages",
         "targetEntity": "WebPage",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.42Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
         "singularName": "Upload Web Page",
         "pluralName": "Upload Web Page",
         "fullName": "Web Page (Full Control) - Upload Web Page",
         "targetEntity": "WebPage",
         "appliance": "Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "3860874d-bbb3-49cf-8ae5-c580f0480df2",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
         "singularName": "Update Web Page",
         "pluralName": "Update Web Page",
         "fullName": "Web Page (Full Control) - Update Web Page",
         "targetEntity": "WebPage",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "49d22ebc-696f-4db1-9138-66bcbc32dce0",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
         "singularName": "Assign Web Page",
         "pluralName": "Assign Web Page",
         "fullName": "Web Page (Full Control) - Assign Web Page",
         "targetEntity": "WebPage",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "9c44c26a-5519-4c8f-ac4a-1d7b918e2349",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
         "singularName": "Unassign Web Page",
         "pluralName": "Unassign Web Page",
         "fullName": "Web Page (Full Control) - Unassign Web Page",
         "targetEntity": "WebPage",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "54d5cf37-1ff0-45ff-a459-8a5f468a47e1",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "e69387ad-1517-4266-a745-2fe982da2f16",
         "singularName": "Edit Permissions",
         "pluralName": "Edit Permissions",
         "fullName": "Web Page (Full Control) - Edit Permissions",
         "targetEntity": "WebPage",
         "appliance": "Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.16Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "e69387ad-1517-4266-a745-2fe982da2f16",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      },
            {
         "uid": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
         "singularName": "Delete Web Page",
         "pluralName": "Delete Web Page",
         "fullName": "Web Page (Full Control) - Delete Web Page",
         "targetEntity": "WebPage",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
            "singularName": "Full Control",
            "pluralName": "Web Page (Full Control)",
            "fullName": "Web Page (Full Control)",
            "targetEntity": "WebPage",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.163Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.44Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.54Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.66Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.82Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.417Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.9Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.293Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:25.703Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "No Setup",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10706
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-07T19:42:05.667Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Matty Boom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10714
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-11-09T17:11:57.69Z"
            },
                        {
               "entityId": null,
               "operationUID": "0d0a10ce-022a-4534-81e4-861d14cc2d79",
               "principal":                {
                  "name": "Live Feed",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10795
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-12-11T22:09:07.977Z"
            }
         ]
      }
   ],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.44Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.54Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.66Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:19.82Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:20.16Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:20.417Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "No Permissions",
            "isCustom": true,
            "type": "Role",
            "id": 10410
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2023-08-29T23:08:25.9Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Roll 1",
            "isCustom": true,
            "type": "Role",
            "id": 10470
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-09-01T14:45:04.293Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Roll 2",
            "isCustom": true,
            "type": "Role",
            "id": 10471
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-09-01T14:45:25.703Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "No Setup",
            "isCustom": true,
            "type": "Role",
            "id": 10706
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-11-07T19:42:05.667Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Matty Boom",
            "isCustom": true,
            "type": "Role",
            "id": 10714
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-11-09T17:11:57.69Z"
      },
            {
         "entityId": null,
         "operationUID": "5555a658-fcf0-4a1a-9044-4512d2d4a6fc",
         "principal":          {
            "name": "Live Feed",
            "isCustom": true,
            "type": "Role",
            "id": 10795
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2023-12-11T22:09:07.977Z"
      }
   ]
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/Permissions/ 

Includes object permissions for a given webpage instance.

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`

```text
GET /2022/06/REST/WebPages/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-23T19:39:26.157Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{id}/Permissions/ 

Adds permissions for a webpage on a network

**Required Scope Token**

bsn.api.main.webpages.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`

```text
POST /2022/06/REST/WebPages/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 476
```

This is the example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-24T16:36:28.663Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The permissions were successfully added to the specified webpage

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/Permissions/ 

Removes permissions from a webpage on a network

**Required Scope Token**

bsn.api.main.webpages.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`

```text
DELETE /2022/06/REST/WebPages/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 476
```

This is the example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-24T16:36:28.663Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Permissions/ 

Includes object permissions for a given webpage instance.

**Required Scope Token**

bsn.api.main.webpages.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `PresentationBsDateTimeWidget`

```text
GET /2022/06/REST/WebPages/PresentationBsDateTimeWidget/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-23T19:39:26.157Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{name}/Permissions/ 

Adds permissions for a webpage on a network

**Required Scope Token**

bsn.api.main.webpages.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `PresentationBsDateTimeWidget`

```text
POST /2022/06/REST/WebPages/PresentationBsDateTimeWidget/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 476
```

This is the example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-24T16:36:28.663Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The permissions were successfully added to the specified webpage

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/Permissions/ 

Removes permissions from a webpage on a network

**Required Scope Token**

bsn.api.main.webpages.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `PresentationBsDateTimeWidget`

```text
DELETE /2022/06/REST/WebPages/PresentationBsDateTimeWidget/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 476
```

This is an example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "0a565477-e461-4b86-b74f-3cc0d98c28f6",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10000
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2024-01-24T16:36:28.663Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules.

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error
